diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-phy.h ns-3.44/src/wifi/model/vht/vht-phy.h
--- ns-3.43/src/wifi/model/vht/vht-phy.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-phy.h	2025-03-09 16:55:49.799372700 -0700
@@ -13,8 +13,8 @@
 #include "ns3/ht-phy.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::VhtPhy class.
  */
 
@@ -27,8 +27,8 @@
 #define VHT_PHY 126
 
 /**
- * \brief PHY entity for VHT (11ac)
- * \ingroup wifi
+ * @brief PHY entity for VHT (11ac)
+ * @ingroup wifi
  *
  * VHT PHY is based on HT PHY.
  *
@@ -40,7 +40,7 @@
     /**
      * Constructor for VHT PHY
      *
-     * \param buildModeList flag used to add VHT modes to list (disabled
+     * @param buildModeList flag used to add VHT modes to list (disabled
      *                      by child classes to only add child classes' modes)
      */
     VhtPhy(bool buildModeList = true);
@@ -63,23 +63,23 @@
                           WifiChannelListType channelType) const override;
 
     /**
-     * \return the WifiMode used for the SIG-A field
+     * @return the WifiMode used for the SIG-A field
      */
     virtual WifiMode GetSigAMode() const;
     /**
-     * \param txVector the transmission parameters
-     * \return the WifiMode used for the SIG-B field
+     * @param txVector the transmission parameters
+     * @return the WifiMode used for the SIG-B field
      */
     virtual WifiMode GetSigBMode(const WifiTxVector& txVector) const;
 
     /**
-     * \param preamble the type of preamble
-     * \return the duration of the SIG-A field
+     * @param preamble the type of preamble
+     * @return the duration of the SIG-A field
      */
     virtual Time GetSigADuration(WifiPreamble preamble) const;
     /**
-     * \param txVector the transmission parameters
-     * \return the duration of the SIG-B field
+     * @param txVector the transmission parameters
+     * @return the duration of the SIG-B field
      */
     virtual Time GetSigBDuration(const WifiTxVector& txVector) const;
 
@@ -91,69 +91,69 @@
      * Return the VHT MCS corresponding to
      * the provided index.
      *
-     * \param index the index of the MCS
-     * \return an VHT MCS
+     * @param index the index of the MCS
+     * @return an VHT MCS
      */
     static WifiMode GetVhtMcs(uint8_t index);
 
     /**
      * Return MCS 0 from VHT MCS values.
      *
-     * \return MCS 0 from VHT MCS values
+     * @return MCS 0 from VHT MCS values
      */
     static WifiMode GetVhtMcs0();
     /**
      * Return MCS 1 from VHT MCS values.
      *
-     * \return MCS 1 from VHT MCS values
+     * @return MCS 1 from VHT MCS values
      */
     static WifiMode GetVhtMcs1();
     /**
      * Return MCS 2 from VHT MCS values.
      *
-     * \return MCS 2 from VHT MCS values
+     * @return MCS 2 from VHT MCS values
      */
     static WifiMode GetVhtMcs2();
     /**
      * Return MCS 3 from VHT MCS values.
      *
-     * \return MCS 3 from VHT MCS values
+     * @return MCS 3 from VHT MCS values
      */
     static WifiMode GetVhtMcs3();
     /**
      * Return MCS 4 from VHT MCS values.
      *
-     * \return MCS 4 from VHT MCS values
+     * @return MCS 4 from VHT MCS values
      */
     static WifiMode GetVhtMcs4();
     /**
      * Return MCS 5 from VHT MCS values.
      *
-     * \return MCS 5 from VHT MCS values
+     * @return MCS 5 from VHT MCS values
      */
     static WifiMode GetVhtMcs5();
     /**
      * Return MCS 6 from VHT MCS values.
      *
-     * \return MCS 6 from VHT MCS values
+     * @return MCS 6 from VHT MCS values
      */
     static WifiMode GetVhtMcs6();
     /**
      * Return MCS 7 from VHT MCS values.
      *
-     * \return MCS 7 from VHT MCS values
+     * @return MCS 7 from VHT MCS values
      */
     static WifiMode GetVhtMcs7();
     /**
      * Return MCS 8 from VHT MCS values.
      *
-     * \return MCS 8 from VHT MCS values
+     * @return MCS 8 from VHT MCS values
      */
     static WifiMode GetVhtMcs8();
     /**
      * Return MCS 9 from VHT MCS values.
      *
-     * \return MCS 9 from VHT MCS values
+     * @return MCS 9 from VHT MCS values
      */
     static WifiMode GetVhtMcs9();
 
@@ -163,8 +163,8 @@
      * reused by child classes and is used as a callback
      * for WifiMode operation.
      *
-     * \param mcsValue the MCS index
-     * \return the coding rate.
+     * @param mcsValue the MCS index
+     * @return the coding rate.
      */
     static WifiCodeRate GetCodeRate(uint8_t mcsValue);
     /**
@@ -173,8 +173,8 @@
      * reused by child classes and is used as a callback for
      * WifiMode operation.
      *
-     * \param mcsValue the MCS index
-     * \return the size of modulation constellation.
+     * @param mcsValue the MCS index
+     * @return the size of modulation constellation.
      */
     static uint16_t GetConstellationSize(uint8_t mcsValue);
     /**
@@ -183,12 +183,12 @@
      * spatial stream. This function calls HtPhy::CalculatePhyRate
      * and is mainly used as a callback for WifiMode operation.
      *
-     * \param mcsValue the VHT MCS index
-     * \param channelWidth the considered channel width
-     * \param guardInterval the considered guard interval duration
-     * \param nss the considered number of stream
+     * @param mcsValue the VHT MCS index
+     * @param channelWidth the considered channel width
+     * @param guardInterval the considered guard interval duration
+     * @param nss the considered number of stream
      *
-     * \return the physical bit rate of this signal in bps.
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRate(uint8_t mcsValue,
                                MHz_u channelWidth,
@@ -200,9 +200,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the physical bit rate of this signal in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -211,9 +211,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the data bit rate in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the data bit rate in bps.
      */
     static uint64_t GetDataRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -222,11 +222,11 @@
      * guard interval, and number of spatial
      * streams.
      *
-     * \param mcsValue the MCS index
-     * \param channelWidth the channel width
-     * \param guardInterval the guard interval duration
-     * \param nss the number of spatial streams
-     * \return the data bit rate in bps.
+     * @param mcsValue the MCS index
+     * @param channelWidth the channel width
+     * @param guardInterval the guard interval duration
+     * @param nss the number of spatial streams
+     * @return the data bit rate in bps.
      */
     static uint64_t GetDataRate(uint8_t mcsValue,
                                 MHz_u channelWidth,
@@ -237,26 +237,26 @@
      * to the supplied VHT MCS index. This function calls CalculateNonHtReferenceRate
      * and is used as a callback for WifiMode operation.
      *
-     * \param mcsValue the VHT MCS index
-     * \return the rate in bps of the non-HT Reference Rate.
+     * @param mcsValue the VHT MCS index
+     * @return the rate in bps of the non-HT Reference Rate.
      */
     static uint64_t GetNonHtReferenceRate(uint8_t mcsValue);
     /**
      * Check whether the combination of <MCS, channel width, NSS> is allowed.
      * This function is used as a callback for WifiMode operation.
      *
-     * \param mcsValue the considered MCS index
-     * \param channelWidth the considered channel width
-     * \param nss the considered number of streams
-     * \returns true if this <MCS, channel width, NSS> combination is allowed, false otherwise.
+     * @param mcsValue the considered MCS index
+     * @param channelWidth the considered channel width
+     * @param nss the considered number of streams
+     * @returns true if this <MCS, channel width, NSS> combination is allowed, false otherwise.
      */
     static bool IsCombinationAllowed(uint8_t mcsValue, MHz_u channelWidth, uint8_t nss);
     /**
      * Check whether the combination in TXVECTOR is allowed.
      * This function is used as a callback for WifiMode operation.
      *
-     * \param txVector the TXVECTOR
-     * \returns true if this combination is allowed, false otherwise.
+     * @param txVector the TXVECTOR
+     * @returns true if this combination is allowed, false otherwise.
      */
     static bool IsAllowed(const WifiTxVector& txVector);
 
@@ -274,19 +274,19 @@
      * provide the status of the reception.
      *
      * Child classes can perform amendment-specific actions by specializing
-     * \see ProcessSig.
+     * @see ProcessSig.
      *
-     * \param event the event holding incoming PPDU's information
-     * \param field the current PPDU field
-     * \return status of the reception of the SIG-A of SIG-B
+     * @param event the event holding incoming PPDU's information
+     * @param field the current PPDU field
+     * @return status of the reception of the SIG-A of SIG-B
      */
     PhyFieldRxStatus EndReceiveSig(Ptr<Event> event, WifiPpduField field);
 
     /**
      * Get the failure reason corresponding to the unsuccessful processing of a given PPDU field.
      *
-     * \param field the PPDU field
-     * \return the failure reason corresponding to the unsuccessful processing of the PPDU field
+     * @param field the PPDU field
+     * @return the failure reason corresponding to the unsuccessful processing of the PPDU field
      */
     virtual WifiPhyRxfailureReason GetFailureReason(WifiPpduField field) const;
 
@@ -294,11 +294,11 @@
      * Process SIG-A or SIG-B, perform amendment-specific actions, and
      * provide an updated status of the reception.
      *
-     * \param event the event holding incoming PPDU's information
-     * \param status the status of the reception of the correctly received SIG-A or SIG-B after the
+     * @param event the event holding incoming PPDU's information
+     * @param status the status of the reception of the correctly received SIG-A or SIG-B after the
      * configuration support check
-     * \param field the current PPDU field to identify whether it is SIG-A or SIG-B
-     * \return the updated status of the reception of the SIG-A or SIG-B
+     * @param field the current PPDU field to identify whether it is SIG-A or SIG-B
+     * @return the updated status of the reception of the SIG-A or SIG-B
      */
     virtual PhyFieldRxStatus ProcessSig(Ptr<Event> event,
                                         PhyFieldRxStatus status,
@@ -309,9 +309,9 @@
      * which corresponds to the supplied code rate and
      * constellation size.
      *
-     * \param codeRate the convolutional coding rate
-     * \param constellationSize the size of modulation constellation
-     * \returns the rate in bps.
+     * @param codeRate the convolutional coding rate
+     * @param constellationSize the size of modulation constellation
+     * @returns the rate in bps.
      *
      * To convert an VHT MCS to its corresponding non-HT Reference Rate
      * use the modulation and coding rate of the HT MCS
@@ -319,8 +319,8 @@
      */
     static uint64_t CalculateNonHtReferenceRate(WifiCodeRate codeRate, uint16_t constellationSize);
     /**
-     * \param channelWidth the channel width
-     * \return he number of usable subcarriers for data
+     * @param channelWidth the channel width
+     * @return he number of usable subcarriers for data
      */
     static uint16_t GetUsableSubcarriers(MHz_u channelWidth);
 
@@ -332,8 +332,8 @@
      * the provided index.
      * This method binds all the callbacks used by WifiMode.
      *
-     * \param index the index of the MCS
-     * \return a VHT MCS
+     * @param index the index of the MCS
+     * @return a VHT MCS
      */
     static WifiMode CreateVhtMcs(uint8_t index);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-ppdu.cc ns-3.44/src/wifi/model/vht/vht-ppdu.cc
--- ns-3.43/src/wifi/model/vht/vht-ppdu.cc	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-ppdu.cc	2025-03-09 16:55:49.799372700 -0700
@@ -150,15 +150,15 @@
 void
 VhtPpdu::VhtSigHeader::SetChannelWidth(MHz_u channelWidth)
 {
-    if (channelWidth == 160)
+    if (channelWidth == MHz_u{160})
     {
         m_bw = 3;
     }
-    else if (channelWidth == 80)
+    else if (channelWidth == MHz_u{80})
     {
         m_bw = 2;
     }
-    else if (channelWidth == 40)
+    else if (channelWidth == MHz_u{40})
     {
         m_bw = 1;
     }
@@ -173,19 +173,19 @@
 {
     if (m_bw == 3)
     {
-        return 160;
+        return MHz_u{160};
     }
     else if (m_bw == 2)
     {
-        return 80;
+        return MHz_u{80};
     }
     else if (m_bw == 1)
     {
-        return 40;
+        return MHz_u{40};
     }
     else
     {
-        return 20;
+        return MHz_u{20};
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-ppdu.h ns-3.44/src/wifi/model/vht/vht-ppdu.h
--- ns-3.43/src/wifi/model/vht/vht-ppdu.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-ppdu.h	2025-03-09 16:55:49.799372700 -0700
@@ -15,8 +15,8 @@
 #include "ns3/wifi-phy-operating-channel.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::VhtPpdu class.
  */
 
@@ -26,8 +26,8 @@
 class WifiPsdu;
 
 /**
- * \brief VHT PPDU (11ac)
- * \ingroup wifi
+ * @brief VHT PPDU (11ac)
+ * @ingroup wifi
  *
  * VhtPpdu stores a preamble, PHY headers and a PSDU of a PPDU with VHT header
  */
@@ -46,69 +46,69 @@
         /**
          * Set the Multi-User (MU) flag.
          *
-         * \param mu the MU flag
+         * @param mu the MU flag
          */
         void SetMuFlag(bool mu);
 
         /**
          * Fill the channel width field of VHT-SIG-A1.
          *
-         * \param channelWidth the channel width
+         * @param channelWidth the channel width
          */
         void SetChannelWidth(MHz_u channelWidth);
         /**
          * Return the channel width.
          *
-         * \return the channel width
+         * @return the channel width
          */
         MHz_u GetChannelWidth() const;
         /**
          * Fill the number of streams field of VHT-SIG-A1.
          *
-         * \param nStreams the number of streams
+         * @param nStreams the number of streams
          */
         void SetNStreams(uint8_t nStreams);
         /**
          * Return the number of streams.
          *
-         * \return the number of streams
+         * @return the number of streams
          */
         uint8_t GetNStreams() const;
 
         /**
          * Fill the short guard interval field of VHT-SIG-A2.
          *
-         * \param sgi whether short guard interval is used or not
+         * @param sgi whether short guard interval is used or not
          */
         void SetShortGuardInterval(bool sgi);
         /**
          * Return the short GI field of VHT-SIG-A2.
          *
-         * \return the short GI field of VHT-SIG-A2
+         * @return the short GI field of VHT-SIG-A2
          */
         bool GetShortGuardInterval() const;
         /**
          * Fill the short GI NSYM disambiguation field of VHT-SIG-A2.
          *
-         * \param disambiguation whether short GI NSYM disambiguation is set or not
+         * @param disambiguation whether short GI NSYM disambiguation is set or not
          */
         void SetShortGuardIntervalDisambiguation(bool disambiguation);
         /**
          * Return the short GI NSYM disambiguation field of VHT-SIG-A2.
          *
-         * \return the short GI NSYM disambiguation field of VHT-SIG-A2
+         * @return the short GI NSYM disambiguation field of VHT-SIG-A2
          */
         bool GetShortGuardIntervalDisambiguation() const;
         /**
          * Fill the SU VHT MCS field of VHT-SIG-A2.
          *
-         * \param mcs the SU VHT MCS field of VHT-SIG-A2
+         * @param mcs the SU VHT MCS field of VHT-SIG-A2
          */
         void SetSuMcs(uint8_t mcs);
         /**
          * Return the SU VHT MCS field of VHT-SIG-A2.
          *
-         * \return the SU VHT MCS field of VHT-SIG-A2
+         * @return the SU VHT MCS field of VHT-SIG-A2
          */
         uint8_t GetSuMcs() const;
 
@@ -129,11 +129,11 @@
     /**
      * Create a VHT PPDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
+     * @param uid the unique ID of this PPDU
      */
     VhtPpdu(Ptr<const WifiPsdu> psdu,
             const WifiTxVector& txVector,
@@ -151,25 +151,25 @@
     /**
      * Fill in the PHY headers.
      *
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
      */
     virtual void SetPhyHeaders(const WifiTxVector& txVector, Time ppduDuration);
 
     /**
      * Fill in the L-SIG header.
      *
-     * \param lSig the L-SIG header to fill in
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param lSig the L-SIG header to fill in
+     * @param ppduDuration the transmission duration of this PPDU
      */
     virtual void SetLSigHeader(LSigHeader& lSig, Time ppduDuration) const;
 
     /**
      * Fill in the VHT-SIG header.
      *
-     * \param vhtSig the VHT-SIG header to fill in
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param vhtSig the VHT-SIG header to fill in
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
      */
     void SetVhtSigHeader(VhtSigHeader& vhtSig,
                          const WifiTxVector& txVector,
@@ -178,9 +178,9 @@
     /**
      * Fill in the TXVECTOR from PHY headers.
      *
-     * \param txVector the TXVECTOR to fill in
-     * \param lSig the L-SIG header
-     * \param vhtSig the VHT-SIG header
+     * @param txVector the TXVECTOR to fill in
+     * @param lSig the L-SIG header
+     * @param vhtSig the VHT-SIG header
      */
     void SetTxVectorFromPhyHeaders(WifiTxVector& txVector,
                                    const LSigHeader& lSig,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-ack-manager.h ns-3.44/src/wifi/model/wifi-ack-manager.h
--- ns-3.43/src/wifi/model/wifi-ack-manager.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/wifi-ack-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -25,7 +25,7 @@
 class WifiRemoteStationManager;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiAckManager is an abstract base class. Each subclass defines a logic
  * to select the acknowledgment method for a given frame.
@@ -34,8 +34,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WifiAckManager();
@@ -44,29 +44,29 @@
     /**
      * Set the MAC which is using this Acknowledgment Manager
      *
-     * \param mac a pointer to the MAC
+     * @param mac a pointer to the MAC
      */
     void SetWifiMac(Ptr<WifiMac> mac);
     /**
      * Set the ID of the link this Acknowledgment Manager is associated with.
      *
-     * \param linkId the ID of the link this Acknowledgment Manager is associated with
+     * @param linkId the ID of the link this Acknowledgment Manager is associated with
      */
     void SetLinkId(uint8_t linkId);
 
     /**
      * Set the QoS Ack policy for the given MPDU, which must be a QoS data frame.
      *
-     * \param item the MPDU
-     * \param acknowledgment the WifiAcknowledgment object storing the QoS Ack policy to set
+     * @param item the MPDU
+     * @param acknowledgment the WifiAcknowledgment object storing the QoS Ack policy to set
      */
     static void SetQosAckPolicy(Ptr<WifiMpdu> item, const WifiAcknowledgment* acknowledgment);
 
     /**
      * Set the QoS Ack policy for the given PSDU, which must include at least a QoS data frame.
      *
-     * \param psdu the PSDU
-     * \param acknowledgment the WifiAcknowledgment object storing the QoS Ack policy to set
+     * @param psdu the PSDU
+     * @param acknowledgment the WifiAcknowledgment object storing the QoS Ack policy to set
      */
     static void SetQosAckPolicy(Ptr<WifiPsdu> psdu, const WifiAcknowledgment* acknowledgment);
 
@@ -75,9 +75,9 @@
      * frame. Return a null pointer if the acknowledgment method is unchanged or the new
      * acknowledgment method otherwise.
      *
-     * \param mpdu the MPDU to be added to the current frame
-     * \param txParams the current TX parameters for the current frame
-     * \return a null pointer if the acknowledgment method is unchanged or the new
+     * @param mpdu the MPDU to be added to the current frame
+     * @param txParams the current TX parameters for the current frame
+     * @return a null pointer if the acknowledgment method is unchanged or the new
      *         acknowledgment method otherwise
      */
     virtual std::unique_ptr<WifiAcknowledgment> TryAddMpdu(Ptr<const WifiMpdu> mpdu,
@@ -88,9 +88,9 @@
      * frame. Return a null pointer if the acknowledgment method is unchanged or the new
      * acknowledgment method otherwise.
      *
-     * \param msdu the MSDU to be aggregated to the current frame
-     * \param txParams the current TX parameters for the current frame
-     * \return a null pointer if the acknowledgment method is unchanged or the new
+     * @param msdu the MSDU to be aggregated to the current frame
+     * @param txParams the current TX parameters for the current frame
+     * @return a null pointer if the acknowledgment method is unchanged or the new
      *         acknowledgment method otherwise
      */
     virtual std::unique_ptr<WifiAcknowledgment> TryAggregateMsdu(
@@ -101,7 +101,7 @@
     void DoDispose() override;
 
     /**
-     * \return the remote station manager operating on our link
+     * @return the remote station manager operating on our link
      */
     Ptr<WifiRemoteStationManager> GetWifiRemoteStationManager() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-acknowledgment.h ns-3.44/src/wifi/model/wifi-acknowledgment.h
--- ns-3.43/src/wifi/model/wifi-acknowledgment.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/wifi-acknowledgment.h	2025-03-09 16:55:49.799372700 -0700
@@ -26,7 +26,7 @@
 class Mac48Address;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiAcknowledgment is an abstract base struct. Each derived struct defines an acknowledgment
  * method and stores the information needed to perform acknowledgment according to
@@ -35,8 +35,8 @@
 struct WifiAcknowledgment
 {
     /**
-     * \enum Method
-     * \brief Available acknowledgment methods
+     * @enum Method
+     * @brief Available acknowledgment methods
      */
     enum Method
     {
@@ -53,14 +53,14 @@
 
     /**
      * Constructor.
-     * \param m the acknowledgment method for this object
+     * @param m the acknowledgment method for this object
      */
     WifiAcknowledgment(Method m);
     virtual ~WifiAcknowledgment();
 
     /**
      * Clone this object.
-     * \return a pointer to the cloned object
+     * @return a pointer to the cloned object
      */
     virtual std::unique_ptr<WifiAcknowledgment> Copy() const = 0;
 
@@ -68,9 +68,9 @@
      * Get the QoS Ack policy to use for the MPDUs addressed to the given receiver
      * and belonging to the given TID.
      *
-     * \param receiver the MAC address of the receiver
-     * \param tid the TID
-     * \return the QoS Ack policy to use
+     * @param receiver the MAC address of the receiver
+     * @param tid the TID
+     * @return the QoS Ack policy to use
      */
     WifiMacHeader::QosAckPolicy GetQosAckPolicy(Mac48Address receiver, uint8_t tid) const;
 
@@ -79,15 +79,15 @@
      * and belonging to the given TID. If the pair (receiver, TID) already exists,
      * it is overwritten with the given QoS Ack policy.
      *
-     * \param receiver the MAC address of the receiver
-     * \param tid the TID
-     * \param ackPolicy the QoS Ack policy to use
+     * @param receiver the MAC address of the receiver
+     * @param tid the TID
+     * @param ackPolicy the QoS Ack policy to use
      */
     void SetQosAckPolicy(Mac48Address receiver, uint8_t tid, WifiMacHeader::QosAckPolicy ackPolicy);
 
     /**
-     * \brief Print the object contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the object contents.
+     * @param os output stream in which the data should be printed.
      */
     virtual void Print(std::ostream& os) const = 0;
 
@@ -99,10 +99,10 @@
      * Check whether the given QoS Ack policy can be used for the MPDUs addressed
      * to the given receiver and belonging to the given TID.
      *
-     * \param receiver the MAC address of the receiver
-     * \param tid the TID
-     * \param ackPolicy the QoS Ack policy to use
-     * \return true if the given QoS Ack policy can be used, false otherwise
+     * @param receiver the MAC address of the receiver
+     * @param tid the TID
+     * @param ackPolicy the QoS Ack policy to use
+     * @return true if the given QoS Ack policy can be used, false otherwise
      */
     virtual bool CheckQosAckPolicy(Mac48Address receiver,
                                    uint8_t tid,
@@ -113,7 +113,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiNoAck specifies that no acknowledgment is required.
  */
@@ -129,7 +129,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiNormalAck specifies that acknowledgment via Normal Ack is required.
  */
@@ -147,7 +147,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiBlockAck specifies that acknowledgment via Block Ack is required.
  */
@@ -166,7 +166,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiBarBlockAck specifies that a BlockAckReq is sent to solicit a Block Ack response.
  */
@@ -187,7 +187,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiDlMuBarBaSequence specifies that a DL MU PPDU is acknowledged through a
  * sequence of BlockAckReq and BlockAck frames. Only one station may be allowed
@@ -234,7 +234,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiDlMuTfMuBar specifies that a DL MU PPDU is followed after a SIFS duration
  * by a MU-BAR Trigger Frame (sent as single user frame) soliciting BlockAck
@@ -266,7 +266,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiDlMuAggregateTf specifies that a DL MU PPDU made of PSDUs including each
  * a MU-BAR Trigger Frame is acknowledged through BlockAck frames sent as
@@ -297,7 +297,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiUlMuMultiStaBa specifies that a Basic Trigger Frame is being sent to
  * solicit TB PPDUs that will be acknowledged through a multi-STA BlockAck frame.
@@ -320,7 +320,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiAckAfterTbPpdu is used when a station prepares a TB PPDU to send in
  * response to a Basic Trigger Frame. The acknowledgment time must be
@@ -340,11 +340,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the output stream
- * \param acknowledgment the acknowledgment method
- * \returns a reference to the stream
+ * @param os the output stream
+ * @param acknowledgment the acknowledgment method
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const WifiAcknowledgment* acknowledgment);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-assoc-manager.cc ns-3.44/src/wifi/model/wifi-assoc-manager.cc
--- ns-3.43/src/wifi/model/wifi-assoc-manager.cc	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/wifi-assoc-manager.cc	2025-03-09 16:55:49.799372700 -0700
@@ -294,8 +294,6 @@
     {
         auto ehtConfig = m_mac->GetEhtConfiguration();
         NS_ASSERT(ehtConfig);
-        EnumValue<WifiTidToLinkMappingNegSupport> negSupport;
-        ehtConfig->GetAttributeFailSafe("TidToLinkMappingNegSupport", negSupport);
 
         // A non-AP MLD that performs multi-link (re)setup on at least two links with an AP MLD
         // that sets the TID-To-Link Mapping Negotiation Support subfield of the MLD Capabilities
@@ -304,7 +302,7 @@
         // MLD Capabilities field of the Basic Multi-Link element it transmits to at least 1.
         // (Sec. 35.3.7.1.1 of 802.11be D3.1)
         if (mldCapabilities->tidToLinkMappingSupport > 0 &&
-            negSupport.Get() == WifiTidToLinkMappingNegSupport::NOT_SUPPORTED)
+            ehtConfig->m_tidLinkMappingSupport == WifiTidToLinkMappingNegSupport::NOT_SUPPORTED)
         {
             NS_LOG_DEBUG("AP MLD supports TID-to-Link Mapping negotiation, while we don't");
             return false;
@@ -330,7 +328,7 @@
 
         std::size_t tbttInfoFieldIndex = 0;
         while (tbttInfoFieldIndex < rnr.GetNTbttInformationFields(nbrApInfoId) &&
-               rnr.GetMldId(nbrApInfoId, tbttInfoFieldIndex) != 0)
+               rnr.GetMldParameters(nbrApInfoId, tbttInfoFieldIndex).apMldId != 0)
         {
             tbttInfoFieldIndex++;
         }
